Bug #3667

Allow ixgbe to use unsupported SFP modules

Added by Sašo Kiselkov over 4 years ago. Updated over 4 years ago.

Status:ResolvedStart date:2013-04-01
Priority:NormalDue date:
Assignee:Sašo Kiselkov% Done:

100%

Category:networking
Target version:-
Difficulty:Bite-size Tags:

Description

Currently the Intel 10 Gigabit Ethernet driver (ixgbe) enforces the use of Intel-branded SFP and SFP+ modules (at least in the X520-DA2 cards, that I could test). This patch introduces a new tunable into ixgbe.conf called "allow_unsupported_sfp" which lets an administrator override this behavior. Also, a warning message is printed via cmn_err in case an unsupported SFP is detected.

ixgbe.patch Magnifier (1.86 KB) Sašo Kiselkov, 2013-04-01 09:17 PM

ixgbe_unsupported_sfp.patch Magnifier (2.95 KB) Sašo Kiselkov, 2013-04-02 07:39 PM

History

#2 Updated by Sašo Kiselkov over 4 years ago

Awaiting integration. Full patch (including documentation in ixgbe.conf and copyright headers) attached.

#3 Updated by Rich Lowe over 4 years ago

  • Tags deleted (needs-triage)
  • % Done changed from 90 to 100
  • Status changed from In Progress to Resolved

Resolved in 43fab1a

Also available in: Atom